# Randy Latimer 2011
from turtle import *
from random import *

def clearscreen():
    clear()
    home()
    pendown()

def leap(xpos,ypos):
    penup()
    setpos(xpos,ypos)
    pendown()

def drawpolygon(sides,length):
    for i in range(sides):
        fd(length)
        left(360/sides)

def spinpolygon(sides,length,times):
    for i in range(times):
        red=randint(0,255)
        green=randint(0,255)
        blue=randint(0,255)
#        color=(red,green,blue)               
#        turtle.pencolor(color)
        pencolor((red,green,blue))
        drawpolygon(sides,length)
        left(360/times)

sides = 3
length = 50
times = 20
numberofflowers=10
wn=Screen()
wn.colormode(255)
speed(0) #default is 6
clearscreen()
for i in range(numberofflowers):
    xpos = randint(-150,150)
    ypos = randint(-150,150)
    leap(xpos,ypos)
    spinpolygon(sides,length,times)
    
exitonclick()

#Another way to exit:
#raw_input("Press enter to end graphics")
#turtle.bye()
